Changeset 1105 for ThirdParty/Glpk


Ignore:
Timestamp:
Aug 16, 2008 11:16:13 AM (11 years ago)
Author:
stefan
Message:

update to glpk 4.30

Location:
ThirdParty/Glpk/trunk
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/trunk/Makefile.am

    r943 r1105  
    3030$(GLPKDIR)/src/glpapi11.c \
    3131$(GLPKDIR)/src/glpapi12.c \
     32$(GLPKDIR)/src/glpapi13.c \
     33$(GLPKDIR)/src/glpapi14.c \
     34$(GLPKDIR)/src/glpapi15.c \
    3235$(GLPKDIR)/src/glpavl.c \
    3336$(GLPKDIR)/src/glpbfd.c \
    3437$(GLPKDIR)/src/glpbfx.c \
     38$(GLPKDIR)/src/glpcli.c \
    3539$(GLPKDIR)/src/glpdmp.c \
    3640$(GLPKDIR)/src/glpfhv.c \
     
    5559$(GLPKDIR)/src/glplib08.c \
    5660$(GLPKDIR)/src/glplib09.c \
     61$(GLPKDIR)/src/glplib10.c \
     62$(GLPKDIR)/src/glplib11.c \
     63$(GLPKDIR)/src/glplib12.c \
    5764$(GLPKDIR)/src/glplpf.c \
    5865$(GLPKDIR)/src/glplpp01.c \
     
    7784$(GLPKDIR)/src/glplpx18.c \
    7885$(GLPKDIR)/src/glplpx19.c \
    79 $(GLPKDIR)/src/glplpx20.c \
    8086$(GLPKDIR)/src/glpluf.c \
    8187$(GLPKDIR)/src/glplux.c \
     
    96102$(GLPKDIR)/src/glpspx01.c \
    97103$(GLPKDIR)/src/glpspx02.c \
     104$(GLPKDIR)/src/glpspx03.c \
     105$(GLPKDIR)/src/glpsql.c \
    98106$(GLPKDIR)/src/glpssx01.c \
    99107$(GLPKDIR)/src/glpssx02.c
  • ThirdParty/Glpk/trunk/Makefile.in

    r943 r1105  
    7474nodist_libcoinglpk_la_OBJECTS = glpapi01.lo glpapi02.lo glpapi03.lo \
    7575        glpapi04.lo glpapi05.lo glpapi06.lo glpapi07.lo glpapi08.lo \
    76         glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpavl.lo \
    77         glpbfd.lo glpbfx.lo glpdmp.lo glpfhv.lo glpgmp.lo glphbm.lo \
    78         glpios01.lo glpios02.lo glpios03.lo glpios04.lo glpios05.lo \
    79         glpios06.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
    80         glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
    81         glplib07.lo glplib08.lo glplib09.lo glplpf.lo glplpp01.lo \
    82         glplpp02.lo glplpx01.lo glplpx02.lo glplpx03.lo glplpx04.lo \
    83         glplpx05.lo glplpx06.lo glplpx07.lo glplpx08.lo glplpx09.lo \
    84         glplpx10.lo glplpx11.lo glplpx12.lo glplpx13.lo glplpx14.lo \
    85         glplpx15.lo glplpx16.lo glplpx17.lo glplpx18.lo glplpx19.lo \
    86         glplpx20.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
    87         glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glppds.lo \
    88         glpqmd.lo glprng01.lo glprng02.lo glprgr.lo glpscf.lo \
    89         glpscg.lo glpspm.lo glpspx01.lo glpspx02.lo glpssx01.lo \
    90         glpssx02.lo
     76        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
     77        glpapi14.lo glpapi15.lo glpavl.lo glpbfd.lo glpbfx.lo \
     78        glpcli.lo glpdmp.lo glpfhv.lo glpgmp.lo glphbm.lo glpios01.lo \
     79        glpios02.lo glpios03.lo glpios04.lo glpios05.lo glpios06.lo \
     80        glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo glplib02.lo \
     81        glplib03.lo glplib04.lo glplib05.lo glplib06.lo glplib07.lo \
     82        glplib08.lo glplib09.lo glplib10.lo glplib11.lo glplib12.lo \
     83        glplpf.lo glplpp01.lo glplpp02.lo glplpx01.lo glplpx02.lo \
     84        glplpx03.lo glplpx04.lo glplpx05.lo glplpx06.lo glplpx07.lo \
     85        glplpx08.lo glplpx09.lo glplpx10.lo glplpx11.lo glplpx12.lo \
     86        glplpx13.lo glplpx14.lo glplpx15.lo glplpx16.lo glplpx17.lo \
     87        glplpx18.lo glplpx19.lo glpluf.lo glplux.lo glpmat.lo \
     88        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
     89        glppds.lo glpqmd.lo glprng01.lo glprng02.lo glprgr.lo \
     90        glpscf.lo glpscg.lo glpspm.lo glpspx01.lo glpspx02.lo \
     91        glpspx03.lo glpsql.lo glpssx01.lo glpssx02.lo
    9192libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
    9293@COIN_BUILD_GLPK_TRUE@am_libcoinglpk_la_rpath =
     
    268269$(GLPKDIR)/src/glpapi11.c \
    269270$(GLPKDIR)/src/glpapi12.c \
     271$(GLPKDIR)/src/glpapi13.c \
     272$(GLPKDIR)/src/glpapi14.c \
     273$(GLPKDIR)/src/glpapi15.c \
    270274$(GLPKDIR)/src/glpavl.c \
    271275$(GLPKDIR)/src/glpbfd.c \
    272276$(GLPKDIR)/src/glpbfx.c \
     277$(GLPKDIR)/src/glpcli.c \
    273278$(GLPKDIR)/src/glpdmp.c \
    274279$(GLPKDIR)/src/glpfhv.c \
     
    293298$(GLPKDIR)/src/glplib08.c \
    294299$(GLPKDIR)/src/glplib09.c \
     300$(GLPKDIR)/src/glplib10.c \
     301$(GLPKDIR)/src/glplib11.c \
     302$(GLPKDIR)/src/glplib12.c \
    295303$(GLPKDIR)/src/glplpf.c \
    296304$(GLPKDIR)/src/glplpp01.c \
     
    315323$(GLPKDIR)/src/glplpx18.c \
    316324$(GLPKDIR)/src/glplpx19.c \
    317 $(GLPKDIR)/src/glplpx20.c \
    318325$(GLPKDIR)/src/glpluf.c \
    319326$(GLPKDIR)/src/glplux.c \
     
    334341$(GLPKDIR)/src/glpspx01.c \
    335342$(GLPKDIR)/src/glpspx02.c \
     343$(GLPKDIR)/src/glpspx03.c \
     344$(GLPKDIR)/src/glpsql.c \
    336345$(GLPKDIR)/src/glpssx01.c \
    337346$(GLPKDIR)/src/glpssx02.c
     
    416425@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi11.Plo@am__quote@
    417426@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi12.Plo@am__quote@
     427@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi13.Plo@am__quote@
     428@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi14.Plo@am__quote@
     429@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi15.Plo@am__quote@
    418430@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    419431@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
    420432@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfx.Plo@am__quote@
     433@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpcli.Plo@am__quote@
    421434@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpdmp.Plo@am__quote@
    422435@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpfhv.Plo@am__quote@
     
    441454@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib08.Plo@am__quote@
    442455@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib09.Plo@am__quote@
     456@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib10.Plo@am__quote@
     457@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib11.Plo@am__quote@
     458@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplib12.Plo@am__quote@
    443459@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpf.Plo@am__quote@
    444460@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpp01.Plo@am__quote@
     
    463479@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx18.Plo@am__quote@
    464480@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx19.Plo@am__quote@
    465 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplpx20.Plo@am__quote@
    466481@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpluf.Plo@am__quote@
    467482@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glplux.Plo@am__quote@
     
    482497@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx01.Plo@am__quote@
    483498@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx02.Plo@am__quote@
     499@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpspx03.Plo@am__quote@
     500@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpsql.Plo@am__quote@
    484501@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx01.Plo@am__quote@
    485502@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpssx02.Plo@am__quote@
     
    590607@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi12.lo `test -f '$(GLPKDIR)/src/glpapi12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi12.c
    591608
     609glpapi13.lo: $(GLPKDIR)/src/glpapi13.c
     610@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi13.lo -MD -MP -MF "$(DEPDIR)/glpapi13.Tpo" -c -o glpapi13.lo `test -f '$(GLPKDIR)/src/glpapi13.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi13.c; \
     611@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi13.Tpo" "$(DEPDIR)/glpapi13.Plo"; else rm -f "$(DEPDIR)/glpapi13.Tpo"; exit 1; fi
     612@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi13.c' object='glpapi13.lo' libtool=yes @AMDEPBACKSLASH@
     613@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     614@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi13.lo `test -f '$(GLPKDIR)/src/glpapi13.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi13.c
     615
     616glpapi14.lo: $(GLPKDIR)/src/glpapi14.c
     617@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi14.lo -MD -MP -MF "$(DEPDIR)/glpapi14.Tpo" -c -o glpapi14.lo `test -f '$(GLPKDIR)/src/glpapi14.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi14.c; \
     618@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi14.Tpo" "$(DEPDIR)/glpapi14.Plo"; else rm -f "$(DEPDIR)/glpapi14.Tpo"; exit 1; fi
     619@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi14.c' object='glpapi14.lo' libtool=yes @AMDEPBACKSLASH@
     620@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     621@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi14.lo `test -f '$(GLPKDIR)/src/glpapi14.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi14.c
     622
     623glpapi15.lo: $(GLPKDIR)/src/glpapi15.c
     624@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi15.lo -MD -MP -MF "$(DEPDIR)/glpapi15.Tpo" -c -o glpapi15.lo `test -f '$(GLPKDIR)/src/glpapi15.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi15.c; \
     625@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi15.Tpo" "$(DEPDIR)/glpapi15.Plo"; else rm -f "$(DEPDIR)/glpapi15.Tpo"; exit 1; fi
     626@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi15.c' object='glpapi15.lo' libtool=yes @AMDEPBACKSLASH@
     627@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     628@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi15.lo `test -f '$(GLPKDIR)/src/glpapi15.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi15.c
     629
    592630glpavl.lo: $(GLPKDIR)/src/glpavl.c
    593631@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    611649@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpbfx.lo `test -f '$(GLPKDIR)/src/glpbfx.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpbfx.c
    612650
     651glpcli.lo: $(GLPKDIR)/src/glpcli.c
     652@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpcli.lo -MD -MP -MF "$(DEPDIR)/glpcli.Tpo" -c -o glpcli.lo `test -f '$(GLPKDIR)/src/glpcli.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpcli.c; \
     653@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpcli.Tpo" "$(DEPDIR)/glpcli.Plo"; else rm -f "$(DEPDIR)/glpcli.Tpo"; exit 1; fi
     654@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpcli.c' object='glpcli.lo' libtool=yes @AMDEPBACKSLASH@
     655@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     656@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpcli.lo `test -f '$(GLPKDIR)/src/glpcli.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpcli.c
     657
    613658glpdmp.lo: $(GLPKDIR)/src/glpdmp.c
    614659@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpdmp.lo -MD -MP -MF "$(DEPDIR)/glpdmp.Tpo" -c -o glpdmp.lo `test -f '$(GLPKDIR)/src/glpdmp.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpdmp.c; \
     
    765810@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib09.lo `test -f '$(GLPKDIR)/src/glplib09.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib09.c
    766811
     812glplib10.lo: $(GLPKDIR)/src/glplib10.c
     813@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib10.lo -MD -MP -MF "$(DEPDIR)/glplib10.Tpo" -c -o glplib10.lo `test -f '$(GLPKDIR)/src/glplib10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib10.c; \
     814@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib10.Tpo" "$(DEPDIR)/glplib10.Plo"; else rm -f "$(DEPDIR)/glplib10.Tpo"; exit 1; fi
     815@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib10.c' object='glplib10.lo' libtool=yes @AMDEPBACKSLASH@
     816@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     817@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib10.lo `test -f '$(GLPKDIR)/src/glplib10.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib10.c
     818
     819glplib11.lo: $(GLPKDIR)/src/glplib11.c
     820@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib11.lo -MD -MP -MF "$(DEPDIR)/glplib11.Tpo" -c -o glplib11.lo `test -f '$(GLPKDIR)/src/glplib11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib11.c; \
     821@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib11.Tpo" "$(DEPDIR)/glplib11.Plo"; else rm -f "$(DEPDIR)/glplib11.Tpo"; exit 1; fi
     822@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib11.c' object='glplib11.lo' libtool=yes @AMDEPBACKSLASH@
     823@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     824@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib11.lo `test -f '$(GLPKDIR)/src/glplib11.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib11.c
     825
     826glplib12.lo: $(GLPKDIR)/src/glplib12.c
     827@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplib12.lo -MD -MP -MF "$(DEPDIR)/glplib12.Tpo" -c -o glplib12.lo `test -f '$(GLPKDIR)/src/glplib12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib12.c; \
     828@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplib12.Tpo" "$(DEPDIR)/glplib12.Plo"; else rm -f "$(DEPDIR)/glplib12.Tpo"; exit 1; fi
     829@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplib12.c' object='glplib12.lo' libtool=yes @AMDEPBACKSLASH@
     830@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     831@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplib12.lo `test -f '$(GLPKDIR)/src/glplib12.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplib12.c
     832
    767833glplpf.lo: $(GLPKDIR)/src/glplpf.c
    768834@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpf.lo -MD -MP -MF "$(DEPDIR)/glplpf.Tpo" -c -o glplpf.lo `test -f '$(GLPKDIR)/src/glplpf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpf.c; \
     
    919985@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx19.lo `test -f '$(GLPKDIR)/src/glplpx19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx19.c
    920986
    921 glplpx20.lo: $(GLPKDIR)/src/glplpx20.c
    922 @am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glplpx20.lo -MD -MP -MF "$(DEPDIR)/glplpx20.Tpo" -c -o glplpx20.lo `test -f '$(GLPKDIR)/src/glplpx20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx20.c; \
    923 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glplpx20.Tpo" "$(DEPDIR)/glplpx20.Plo"; else rm -f "$(DEPDIR)/glplpx20.Tpo"; exit 1; fi
    924 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glplpx20.c' object='glplpx20.lo' libtool=yes @AMDEPBACKSLASH@
    925 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    926 @am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glplpx20.lo `test -f '$(GLPKDIR)/src/glplpx20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glplpx20.c
    927 
    928987glpluf.lo: $(GLPKDIR)/src/glpluf.c
    929988@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpluf.lo -MD -MP -MF "$(DEPDIR)/glpluf.Tpo" -c -o glpluf.lo `test -f '$(GLPKDIR)/src/glpluf.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpluf.c; \
     
    10511110@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    10521111@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpspx02.lo `test -f '$(GLPKDIR)/src/glpspx02.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx02.c
     1112
     1113glpspx03.lo: $(GLPKDIR)/src/glpspx03.c
     1114@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpspx03.lo -MD -MP -MF "$(DEPDIR)/glpspx03.Tpo" -c -o glpspx03.lo `test -f '$(GLPKDIR)/src/glpspx03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx03.c; \
     1115@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpspx03.Tpo" "$(DEPDIR)/glpspx03.Plo"; else rm -f "$(DEPDIR)/glpspx03.Tpo"; exit 1; fi
     1116@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpspx03.c' object='glpspx03.lo' libtool=yes @AMDEPBACKSLASH@
     1117@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1118@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpspx03.lo `test -f '$(GLPKDIR)/src/glpspx03.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpspx03.c
     1119
     1120glpsql.lo: $(GLPKDIR)/src/glpsql.c
     1121@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpsql.lo -MD -MP -MF "$(DEPDIR)/glpsql.Tpo" -c -o glpsql.lo `test -f '$(GLPKDIR)/src/glpsql.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsql.c; \
     1122@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpsql.Tpo" "$(DEPDIR)/glpsql.Plo"; else rm -f "$(DEPDIR)/glpsql.Tpo"; exit 1; fi
     1123@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpsql.c' object='glpsql.lo' libtool=yes @AMDEPBACKSLASH@
     1124@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1125@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpsql.lo `test -f '$(GLPKDIR)/src/glpsql.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpsql.c
    10531126
    10541127glpssx01.lo: $(GLPKDIR)/src/glpssx01.c
  • ThirdParty/Glpk/trunk/configure

    r1098 r1105  
    26802680        coin_add_cflags="-pipe"
    26812681        coin_dbg_cflags="-g"
    2682         coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
    2683         case $build in
    2684           *-darwin*)
    2685             ;;
    2686           *)
    2687             coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
    2688             ;;
    2689         esac
     2682        coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
    26902683        case $enable_doscompile in
    26912684          mingw)
     
    27602753        case "$CC" in
    27612754          icc* | */icc*)
    2762             coin_opt_cflags="-O3 -ip -mp1"
     2755            coin_opt_cflags="-O3 -ip"
    27632756            coin_add_cflags=""
    27642757            coin_dbg_cflags="-g"
     
    47224715*-*-irix6*)
    47234716  # Find out which ABI we are using.
    4724   echo '#line 4724 "configure"' > conftest.$ac_ext
     4717  echo '#line 4717 "configure"' > conftest.$ac_ext
    47254718  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    47264719  (eval $ac_compile) 2>&5
     
    63216314
    63226315# Provide some information about the compiler.
    6323 echo "$as_me:6323:" \
     6316echo "$as_me:6316:" \
    63246317     "checking for Fortran 77 compiler version" >&5
    63256318ac_compiler=`set X $ac_compile; echo $2`
     
    73887381   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    73897382   -e 's:$: $lt_compiler_flag:'`
    7390    (eval echo "\"\$as_me:7390: $lt_compile\"" >&5)
     7383   (eval echo "\"\$as_me:7383: $lt_compile\"" >&5)
    73917384   (eval "$lt_compile" 2>conftest.err)
    73927385   ac_status=$?
    73937386   cat conftest.err >&5
    7394    echo "$as_me:7394: \$? = $ac_status" >&5
     7387   echo "$as_me:7387: \$? = $ac_status" >&5
    73957388   if (exit $ac_status) && test -s "$ac_outfile"; then
    73967389     # The compiler can only warn and ignore the option if not recognized
     
    76567649   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76577650   -e 's:$: $lt_compiler_flag:'`
    7658    (eval echo "\"\$as_me:7658: $lt_compile\"" >&5)
     7651   (eval echo "\"\$as_me:7651: $lt_compile\"" >&5)
    76597652   (eval "$lt_compile" 2>conftest.err)
    76607653   ac_status=$?
    76617654   cat conftest.err >&5
    7662    echo "$as_me:7662: \$? = $ac_status" >&5
     7655   echo "$as_me:7655: \$? = $ac_status" >&5
    76637656   if (exit $ac_status) && test -s "$ac_outfile"; then
    76647657     # The compiler can only warn and ignore the option if not recognized
     
    77607753   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    77617754   -e 's:$: $lt_compiler_flag:'`
    7762    (eval echo "\"\$as_me:7762: $lt_compile\"" >&5)
     7755   (eval echo "\"\$as_me:7755: $lt_compile\"" >&5)
    77637756   (eval "$lt_compile" 2>out/conftest.err)
    77647757   ac_status=$?
    77657758   cat out/conftest.err >&5
    7766    echo "$as_me:7766: \$? = $ac_status" >&5
     7759   echo "$as_me:7759: \$? = $ac_status" >&5
    77677760   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    77687761   then
     
    1010510098  lt_status=$lt_dlunknown
    1010610099  cat > conftest.$ac_ext <<EOF
    10107 #line 10107 "configure"
     10100#line 10100 "configure"
    1010810101#include "confdefs.h"
    1010910102
     
    1020510198  lt_status=$lt_dlunknown
    1020610199  cat > conftest.$ac_ext <<EOF
    10207 #line 10207 "configure"
     10200#line 10200 "configure"
    1020810201#include "confdefs.h"
    1020910202
     
    1254912542   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1255012543   -e 's:$: $lt_compiler_flag:'`
    12551    (eval echo "\"\$as_me:12551: $lt_compile\"" >&5)
     12544   (eval echo "\"\$as_me:12544: $lt_compile\"" >&5)
    1255212545   (eval "$lt_compile" 2>conftest.err)
    1255312546   ac_status=$?
    1255412547   cat conftest.err >&5
    12555    echo "$as_me:12555: \$? = $ac_status" >&5
     12548   echo "$as_me:12548: \$? = $ac_status" >&5
    1255612549   if (exit $ac_status) && test -s "$ac_outfile"; then
    1255712550     # The compiler can only warn and ignore the option if not recognized
     
    1265312646   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1265412647   -e 's:$: $lt_compiler_flag:'`
    12655    (eval echo "\"\$as_me:12655: $lt_compile\"" >&5)
     12648   (eval echo "\"\$as_me:12648: $lt_compile\"" >&5)
    1265612649   (eval "$lt_compile" 2>out/conftest.err)
    1265712650   ac_status=$?
    1265812651   cat out/conftest.err >&5
    12659    echo "$as_me:12659: \$? = $ac_status" >&5
     12652   echo "$as_me:12652: \$? = $ac_status" >&5
    1266012653   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1266112654   then
     
    1422314216   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1422414217   -e 's:$: $lt_compiler_flag:'`
    14225    (eval echo "\"\$as_me:14225: $lt_compile\"" >&5)
     14218   (eval echo "\"\$as_me:14218: $lt_compile\"" >&5)
    1422614219   (eval "$lt_compile" 2>conftest.err)
    1422714220   ac_status=$?
    1422814221   cat conftest.err >&5
    14229    echo "$as_me:14229: \$? = $ac_status" >&5
     14222   echo "$as_me:14222: \$? = $ac_status" >&5
    1423014223   if (exit $ac_status) && test -s "$ac_outfile"; then
    1423114224     # The compiler can only warn and ignore the option if not recognized
     
    1432714320   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1432814321   -e 's:$: $lt_compiler_flag:'`
    14329    (eval echo "\"\$as_me:14329: $lt_compile\"" >&5)
     14322   (eval echo "\"\$as_me:14322: $lt_compile\"" >&5)
    1433014323   (eval "$lt_compile" 2>out/conftest.err)
    1433114324   ac_status=$?
    1433214325   cat out/conftest.err >&5
    14333    echo "$as_me:14333: \$? = $ac_status" >&5
     14326   echo "$as_me:14326: \$? = $ac_status" >&5
    1433414327   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1433514328   then
     
    1653416527   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1653516528   -e 's:$: $lt_compiler_flag:'`
    16536    (eval echo "\"\$as_me:16536: $lt_compile\"" >&5)
     16529   (eval echo "\"\$as_me:16529: $lt_compile\"" >&5)
    1653716530   (eval "$lt_compile" 2>conftest.err)
    1653816531   ac_status=$?
    1653916532   cat conftest.err >&5
    16540    echo "$as_me:16540: \$? = $ac_status" >&5
     16533   echo "$as_me:16533: \$? = $ac_status" >&5
    1654116534   if (exit $ac_status) && test -s "$ac_outfile"; then
    1654216535     # The compiler can only warn and ignore the option if not recognized
     
    1680216795   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680316796   -e 's:$: $lt_compiler_flag:'`
    16804    (eval echo "\"\$as_me:16804: $lt_compile\"" >&5)
     16797   (eval echo "\"\$as_me:16797: $lt_compile\"" >&5)
    1680516798   (eval "$lt_compile" 2>conftest.err)
    1680616799   ac_status=$?
    1680716800   cat conftest.err >&5
    16808    echo "$as_me:16808: \$? = $ac_status" >&5
     16801   echo "$as_me:16801: \$? = $ac_status" >&5
    1680916802   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681016803     # The compiler can only warn and ignore the option if not recognized
     
    1690616899   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1690716900   -e 's:$: $lt_compiler_flag:'`
    16908    (eval echo "\"\$as_me:16908: $lt_compile\"" >&5)
     16901   (eval echo "\"\$as_me:16901: $lt_compile\"" >&5)
    1690916902   (eval "$lt_compile" 2>out/conftest.err)
    1691016903   ac_status=$?
    1691116904   cat out/conftest.err >&5
    16912    echo "$as_me:16912: \$? = $ac_status" >&5
     16905   echo "$as_me:16905: \$? = $ac_status" >&5
    1691316906   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1691416907   then
     
    2008020073  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2008120074echo "${ECHO_T}${majorver}.${minorver}" >&6
    20082   if test $majorver != 4 || test $minorver != 26 ; then
    20083     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&5
    20084 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK\"" >&2;}
     20075  if test $majorver != 4 || test $minorver != 30 ; then
     20076    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&5
     20077echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK\"" >&2;}
    2008520078   { (exit 1); exit 1; }; }
    2008620079  fi
  • ThirdParty/Glpk/trunk/configure.ac

    r959 r1105  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test $majorver != 4 || test $minorver != 26 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.26. Please update by rerunning get.GLPK"])
     76  if test $majorver != 4 || test $minorver != 30 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.30. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/trunk/get.Glpk

    r944 r1105  
    22
    33set -e
    4 glpk_ver=4.26
     4glpk_ver=4.30
    55
    66wgetcmd=wget
     
    2020echo " "
    2121
    22 rm -f glpk*.tgz
     22rm -f glpk*.tar.gz
    2323
    2424echo "Downloading the source code from ftp.gnu.org..."
  • ThirdParty/Glpk/trunk/glpk.patch

    r897 r1105  
    1 diff -Naur glpk-4.25/src/glpapi08.c glpk/src/glpapi08.c
    2 --- glpk-4.25/src/glpapi08.c    2007-12-19 10:00:00.000000000 +0100
    3 +++ glpk/src/glpapi08.c 2008-01-04 11:13:21.000000000 +0100
    4 @@ -348,9 +348,15 @@
     1--- glpk/src/glpapi08.c.orig    2008-08-13 10:00:00.000000000 +0200
     2+++ glpk/src/glpapi08.c 2008-08-16 16:24:08.000000000 +0200
     3@@ -349,9 +349,15 @@
    54       switch (ret)
    65       {  case 0:
     
    2120             else
    2221             {  if (parm->msg_lev >= GLP_MSG_ALL)
    23 diff -Naur glpk-4.25/src/glpios03.c glpk/src/glpios03.c
    24 --- glpk-4.25/src/glpios03.c    2007-12-19 10:00:00.000000000 +0100
    25 +++ glpk/src/glpios03.c 2008-01-04 11:13:21.000000000 +0100
    26 @@ -1345,7 +1345,7 @@
     22--- glpk/src/glpios03.c.orig    2008-08-13 10:00:00.000000000 +0200
     23+++ glpk/src/glpios03.c 2008-08-16 16:24:08.000000000 +0200
     24@@ -1346,7 +1346,7 @@
    2725          {  if (tree->parm->msg_lev >= GLP_MSG_DBG)
    2826                xprintf("Relative gap tolerance reached; search terminat"
Note: See TracChangeset for help on using the changeset viewer.